#pragma once
#include "BaseWindow.h"
#include "Audio.h"

#include <memory>

static Color grey = {0.45, 0.45, 0.45, 1.0};


class App {

    private:
    std::unique_ptr<BaseWindow> m_window;
    std::unique_ptr<Audio> m_audio;

    public:
    App();
    void Run();
};